> For the complete documentation index, see [llms.txt](https://documentation.carbonregistry.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://documentation.carbonregistry.com/documentation/carbonregistry.com/api/endpoints/v0.5/documents.md).

# Documents

### Documents

#### Get a link to a project document

Given the id of a project document (gotten from one of the project endpoints) you can supply that to this endpoint to get a link where you can download the document.

{% openapi src="/files/e1BPG9KQvvapGzTy8alf" path="/documents/{id}/link" method="get" %}
[openapi.yaml](https://2441265052-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FfIdoGcZZdvap67xjb5h1%2Fuploads%2Fmabe2nfB82a3vZ8qM4e9%2Fopenapi.yaml?alt=media\&token=b0070a9e-b5c0-4246-9200-1241aa683103)
{% endopenapi %}

Callable by any access token regardless of permissions - unless the document is marked as private then only callable by access token with permissions "[examiner:read](/documentation/carbonregistry.com/api/apps/creating-icr-apps/registering-an-icr-app/permissions.md#users)".

{% tabs %}
{% tab title="cURL" %}

```
curl -X 'GET' \
  'https://api.carbonregistry.com/projects/{PROJECT_ID}' \
  -H 'accept: application/json' \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"\
  -H 'x-icr-api-version: 2023-06-16'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://documentation.carbonregistry.com/documentation/carbonregistry.com/api/endpoints/v0.5/documents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
